summaryrefslogtreecommitdiffstats
path: root/source/d/icecream/doinst.sh
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-08-14 00:10:54 +0000
committer Eric Hameleers <alien@slackware.com>2018-08-14 09:00:26 +0200
commit9cbba797445a2c8bc55b2d91833a06b7caa26783 (patch)
tree960b1b1d7f4e5d9d0e46f0104eebc5a7ac8a2710 /source/d/icecream/doinst.sh
parente09f106df1bc2da6318f310762e9d596bd9a6880 (diff)
downloadcurrent-9cbba797445a2c8bc55b2d91833a06b7caa26783.tar.gz
current-9cbba797445a2c8bc55b2d91833a06b7caa26783.tar.xz
Tue Aug 14 00:10:54 UTC 201820180814001054
a/etc-15.0-x86_64-8.txz: Rebuilt. /etc/passwd: Added icecc (UID 49). /etc/group: Added icecc (GID 49). a/pciutils-3.6.2-x86_64-1.txz: Upgraded. a/sysvinit-scripts-2.1-noarch-17.txz: Rebuilt. rc.M: start rc.icecc-scheduler and rc.iceccd. d/icecream-1.1-x86_64-1.txz: Added. Thanks to Heinz Wiesinger for the SBo reference build script. n/libmbim-1.16.2-x86_64-1.txz: Upgraded. n/libqmi-1.20.2-x86_64-1.txz: Upgraded. n/p11-kit-0.23.13-x86_64-1.txz: Upgraded. x/xterm-334-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/d/icecream/doinst.sh')
-rw-r--r--source/d/icecream/doinst.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/source/d/icecream/doinst.sh b/source/d/icecream/doinst.sh
new file mode 100644
index 000000000..073dffa10
--- /dev/null
+++ b/source/d/icecream/doinst.sh
@@ -0,0 +1,33 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname ${NEW})/$(basename ${NEW} .new)"
+ if [ -e ${OLD} ]; then
+ cp -a ${OLD} ${NEW}.incoming
+ cat ${NEW} > ${NEW}.incoming
+ mv ${NEW}.incoming ${NEW}
+ fi
+ config ${NEW}
+}
+
+preserve_perms etc/rc.d/rc.iceccd.new
+preserve_perms etc/rc.d/rc.icecc-scheduler.new
+config etc/rc.d/rc.icecream.conf.new
+
+if ! grep -q "^icecc:" etc/passwd ; then
+ echo "icecc:x:49:49:User for Icecream distributed compiler:/var/cache/icecream:/bin/false" >> etc/passwd
+fi
+if ! grep -q "^icecc:" etc/group ; then
+ echo "icecc:x:49:" >> etc/group
+fi